From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1414513-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 8DF86158093
	for <garchives@archives.gentoo.org>; Sat,  2 Jul 2022 20:40:50 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 93195E07FE;
	Sat,  2 Jul 2022 20:40:49 +0000 (UTC)
Received: from smtp.gentoo.org (woodpecker.gentoo.org [140.211.166.183])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 50065E07FE
	for <gentoo-commits@lists.gentoo.org>; Sat,  2 Jul 2022 20:40:49 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id EB9F1341C51
	for <gentoo-commits@lists.gentoo.org>; Sat,  2 Jul 2022 20:40:47 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 894B7326
	for <gentoo-commits@lists.gentoo.org>; Sat,  2 Jul 2022 20:40:46 +0000 (UTC)
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "David Seifert" <soap@gentoo.org>
Message-ID: <1656794437.48fc8ba627cda504c6577c3cc3d68916bcdbe06d.soap@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/tora/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-db/tora/tora-3.2-r1.ebuild dev-db/tora/tora-3.2-r2.ebuild
X-VCS-Directories: dev-db/tora/
X-VCS-Committer: soap
X-VCS-Committer-Name: David Seifert
X-VCS-Revision: 48fc8ba627cda504c6577c3cc3d68916bcdbe06d
X-VCS-Branch: master
Date: Sat,  2 Jul 2022 20:40:46 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 747f7f5d-896d-4b8b-a5b7-93f53cb7ae4c
X-Archives-Hash: 76a6bea62890948bb3476011dd390346

commit:     48fc8ba627cda504c6577c3cc3d68916bcdbe06d
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  2 20:40:37 2022 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jul  2 20:40:37 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48fc8ba6

dev-db/tora: update EAPI 6 -> 8

Closes: https://bugs.gentoo.org/835915
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../{tora-3.2-r1.ebuild => tora-3.2-r2.ebuild}     | 50 ++++++++++------------
 1 file changed, 22 insertions(+), 28 deletions(-)

diff --git a/dev-db/tora/tora-3.2-r1.ebuild b/dev-db/tora/tora-3.2-r2.ebuild
similarity index 74%
rename from dev-db/tora/tora-3.2-r1.ebuild
rename to dev-db/tora/tora-3.2-r2.ebuild
index b653ad25405a..0e6cac5f8c23 100644
--- a/dev-db/tora/tora-3.2-r1.ebuild
+++ b/dev-db/tora/tora-3.2-r2.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=8
 
-inherit cmake-utils desktop xdg-utils
+inherit cmake desktop toolchain-funcs xdg
 
-if [[ ${PV} == 9999 ]]; then
+if [[ ${PV} == *9999 ]]; then
 	EGIT_REPO_URI="https://github.com/tora-tool/tora"
 	inherit git-r3
 else
@@ -15,11 +15,11 @@ fi
 
 DESCRIPTION="SQL IDE for Oracle, MySQL and PostgreSQL dbs"
 HOMEPAGE="https://github.com/tora-tool/tora/wiki"
-IUSE="doc mysql oracle +postgres"
-REQUIRED_USE="|| ( mysql oracle postgres )"
 
-SLOT="0"
 LICENSE="GPL-2"
+SLOT="0"
+IUSE="doc mysql oracle +postgres"
+REQUIRED_USE="|| ( mysql oracle postgres )"
 
 RDEPEND="
 	dev-libs/ferrisloki
@@ -33,19 +33,23 @@ RDEPEND="
 	oracle? ( dev-db/oracle-instantclient )
 	postgres? ( dev-db/postgresql:* )
 "
-DEPEND="${RDEPEND}
+DEPEND="
+	${RDEPEND}
+	dev-libs/boost
+"
+BDEPEND="
 	dev-qt/linguist-tools:5
 	virtual/pkgconfig
 	doc? ( app-doc/doxygen )
 "
 
 PATCHES=(
-	"${FILESDIR}/${P}-missing-header.patch"
-	"${FILESDIR}/${P}-qt-5.11.0.patch"
+	"${FILESDIR}"/${P}-missing-header.patch
+	"${FILESDIR}"/${P}-qt-5.11.0.patch
 )
 
 src_prepare() {
-	cmake-utils_src_prepare
+	cmake_src_prepare
 
 	# fixed in master, only care about recent qscintilla lib name:
 	sed -e "/FIND_LIBRARY(QSCINTILLA_LIBRARY/s/qt5scintilla2/qscintilla2_qt5/" \
@@ -68,29 +72,19 @@ src_configure() {
 		-DWANT_INTERNAL_LOKI=OFF
 		-DWANT_INTERNAL_QSCINTILLA=OFF
 		-DWANT_RPM=OFF
-		-DLOKI_LIBRARY="$($(tc-getPKG_CONFIG) --variable=libdir ferrisloki)/libferrisloki.so"
-		-DLOKI_INCLUDE_DIR="$($(tc-getPKG_CONFIG) --variable=includedir ferrisloki)/FerrisLoki"
-		$(cmake-utils_use_find_package doc Doxygen)
+		-DLOKI_LIBRARY="$($(tc-getPKG_CONFIG) --variable=libdir ferrisloki || die)/libferrisloki.so"
+		-DLOKI_INCLUDE_DIR="$($(tc-getPKG_CONFIG) --variable=includedir ferrisloki || die)/FerrisLoki"
+		$(cmake_use_find_package doc Doxygen)
 		-DENABLE_ORACLE=$(usex oracle)
 		-DUSE_PCH=OFF
 		-DENABLE_PGSQL=$(usex postgres)
 	)
-	cmake-utils_src_configure
+	cmake_src_configure
 }
 
 src_install() {
-	cmake-utils_src_install
-
-	doicon src/icons/${PN}.xpm || die
-	domenu src/${PN}.desktop || die
-}
-
-pkg_postinst() {
-	xdg_mimeinfo_database_update
-	xdg_desktop_database_update
-}
+	cmake_src_install
 
-pkg_postrm() {
-	xdg_mimeinfo_database_update
-	xdg_desktop_database_update
+	doicon src/icons/tora.xpm || die
+	domenu src/tora.desktop || die
 }